<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.main.Home2Fragment">

    <FrameLayout
        android:id="@+id/flTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivSet"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|center_vertical"
            android:layout_marginVertical="@dimen/dp_8"
            android:layout_marginEnd="@dimen/dp_8"
            android:padding="@dimen/dp_8"
            app:srcCompat="@drawable/icon_set" />

    </FrameLayout>

    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flTop">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="@dimen/dp_10">

            <FrameLayout

                android:id="@+id/flClean"
                android:layout_width="@dimen/dp_180"
                android:layout_height="@dimen/dp_180"
                android:layout_gravity="center_horizontal">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_ring_e7f1fd" />

                <com.mikhaellopez.circularprogressbar.CircularProgressBar
                    android:id="@+id/circleProgress"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/dp_14"
                    app:cpb_background_progressbar_color="#CEE4FD"
                    app:cpb_background_progressbar_width="@dimen/dp_8"
                    app:cpb_progress_direction="to_right"
                    app:cpb_progress_max="100"
                    app:cpb_progressbar_color="@color/colorPrimary"
                    app:cpb_progressbar_width="10dp"
                    app:cpb_round_border="true"
                    tools:cpb_progress="50" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/scan"
                        android:textColor="#1A1A1A"
                        android:textSize="@dimen/sp_20"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/click_to_view"
                        android:textColor="#1A1A1A"
                        android:textSize="@dimen/sp_14" />

                </LinearLayout>

            </FrameLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_20">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Used Space"
                    android:textColor="#999999"
                    android:textSize="@dimen/sp_16"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tvUsed"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_8"
                    android:text="0.0 GB"
                    android:textColor="#328EF6"
                    android:textSize="@dimen/sp_16"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tvTotal"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=" / 0.0GB"
                    android:textColor="#999999"
                    android:textSize="@dimen/sp_16"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <TextView
                android:id="@+id/tvClean"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_40"
                android:layout_marginHorizontal="@dimen/dp_50"
                android:layout_marginTop="@dimen/dp_20"
                android:background="@drawable/bg_btn_50"
                android:foreground="?attr/selectableItemBackground"
                android:gravity="center"
                android:text="@string/clean_junk"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_17" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivScrollBottom"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_10"
                android:padding="@dimen/dp_10"
                app:srcCompat="@drawable/icon_jiantou" />

            <com.base.appzxhy.business.ads.NativeParentView
                android:id="@+id/flAd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="10dp">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:src="@drawable/zhanwei1" />
            </com.base.appzxhy.business.ads.NativeParentView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_80"
                android:layout_marginHorizontal="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_18"
                app:cardCornerRadius="@dimen/dp_12"
                app:cardElevation="@dimen/dp_2">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal"
                    tools:ignore="DisableBaselineAlignment">

                    <LinearLayout
                        android:id="@+id/llClean"

                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:foreground="?attr/selectableItemBackground"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:srcCompat="@drawable/icon_clean" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="@string/clean_junk"
                            android:textColor="#1A1A1A"
                            android:textSize="@dimen/sp_12" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llBattery"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:foreground="?attr/selectableItemBackground"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:srcCompat="@drawable/icon_battery" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="@string/battery_info"
                            android:textColor="#1A1A1A"
                            android:textSize="@dimen/sp_12" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llLarge"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:foreground="?attr/selectableItemBackground"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:srcCompat="@drawable/icon_large_file_cleanner" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="@string/large_file_clean"
                            android:textColor="#1A1A1A"
                            android:textSize="@dimen/sp_12" />

                    </LinearLayout>

                </LinearLayout>

            </androidx.cardview.widget.CardView>


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_18"
                android:text="@string/more"
                android:textColor="#1A1A1A"
                android:textSize="@dimen/sp_20"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/llDuplicate"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_70"
                android:layout_marginHorizontal="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/bg_f5f7f8_8"
                android:foreground="?attr/selectableItemBackground"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_15"
                    app:srcCompat="@drawable/icon_duplicate_photos" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_weight="1"
                    android:text="@string/duplicate_photos"
                    android:textColor="#1A1A1A"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/tvDupSize"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:background="@drawable/bg_ff3434_4"
                    android:paddingHorizontal="@dimen/dp_4"
                    android:textColor="@color/white"
                    android:visibility="invisible"
                    tools:text="6.36GB" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_30"
                    app:srcCompat="@drawable/icon_next" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llScreenshot"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_70"
                android:layout_marginHorizontal="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/bg_f5f7f8_8"
                android:foreground="?attr/selectableItemBackground"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_15"
                    app:srcCompat="@drawable/icon_screenshot_cleaner" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_weight="1"
                    android:text="@string/screenshot_cleaner"
                    android:textColor="#1A1A1A"
                    android:textSize="@dimen/sp_14" />


                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_30"
                    app:srcCompat="@drawable/icon_next" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llPhotoCompression"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_70"
                android:layout_marginHorizontal="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/bg_f5f7f8_8"
                android:foreground="?attr/selectableItemBackground"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_15"
                    app:srcCompat="@drawable/icon_compression" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_weight="1"
                    android:text="@string/photo_compression"
                    android:textColor="#1A1A1A"
                    android:textSize="@dimen/sp_14" />


                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_30"
                    app:srcCompat="@drawable/icon_next" />

            </LinearLayout>

        </LinearLayout>


    </ScrollView>


</androidx.constraintlayout.widget.ConstraintLayout>